ampenv = maketable("window", 1000, "hamming")
reset(44100)

bus_config("WAVETABLE", "aux 0 out")
bus_config("LOCALIZE", "aux 0 in", "out 0-1")

/*
   p[0] = output skip time
   p[1] = input skip time
   p[2] = duration
   *p[3] = overall amp
   *p[4] = source x
   *p[5] = source y
   *p[6] = source z
   *p[7] = dest x
   *p[8] = dest y
   *p[9] = dest z
   *p[10] = headwidth (units)
   p[11] = feet/unit scaler
   p[12] = input channel
   p[13] = behind head filter on/off
   p[14] = amp/distance calculation flag
      0: no amp/distance
      1: linear amp/distance
      2: inverse square amp/distance
   p[15] = minimum amp/distance multiplier
   p[16] = maximum distance (for linear amp/distance scaling)
*/

X = makeconnection("inlet", 1, 5)
Y = makeconnection("inlet", 2, -5)
Z = makeconnection("inlet", 3, 2)

LOCALIZE(0, 0, 9999, 1,  X, Y, Z, 0.0, 0.0, 0.0,  1.0, 1, 0,   1,
   2, 0.01)

